#include "comm.h"


void CommunicationsController::initota() {
    ArduinoOTA.setHostname(WIFI_SSID);
    ArduinoOTA.setPassword(WIFI_PASSWORD);
    ArduinoOTA.begin();
}

void CommunicationsController::init_wifi() {
    WiFiSettings.hostname = WIFI_SSID;
    WiFiSettings.password = WIFI_PASSWORD;

    WiFiSettings.onPortal = []() {
        ota();
    };
    WiFiSettings.onPortalWaitLoop = []() {
        ArduinoOTA.handle();
    };

    WiFiSettings.connect();
}

void CommunicationsController::init() {
    ota();
    wifi();
    WebMonitor.begin();
}

void CommunicationsController::process() {
    ArduinoOTA.handle();

    if (!l4s) {
        return;
    }

    if (l4s.connected()) {
        handle_client();
    } else {
        create_connection();
    }
}

void CommunicationsController::handle_client() {
    l4s.flush();
    recv = recv();
    Serial.println(recv);
}

void CommunicationsController::parseLook4Sat(float* azimuth, float* altitude) {
    azimuth = recv.substring();
    altitude = recv.substring(); //TODO
}

void CommunicationsController::create_connection() {
    l4s = l4sServer.accept();
}

String CommunicationsController::recv() {
    String rec = "";

    while (l4s.available()) {
        rec += (char)(l4s.read());
    }

    if (rec.length() == 0) {
        rec = "Ç";
    }
    return rec;
}
