#include <ArduinoOTA.h>
#include <WebMonitor.h>
#include <ESP8266WiFi.h>
#include <WiFiSettings.h>


#define L4S_PORT 4533
#define WIFI_SSID "VynTracker"
#define WIFI_PASSWORD "senha1234"


#ifndef COMM_H
#define COMM_H

class CommunicationsController {
    private:
    String recv;
    WifiClient l4s;
    WifiServer l4sServer(L4S_PORT);

    void recv();
    void init_ota();
    void init_wifi();
    void handle_client();
    void create_connection();

    public:
    void init();
    void process();
    void parseLook4Sat(float* azimuth, float* altitude);
}

#endif
